<template>
  <el-row :gutter="0" class="row">
    <el-col class="col-5" v-for="a in articles" :key="a.id_article">
      <div class="card-panel-text-black">{{a.article.title}}</div>
      <div class="progress progress-padd">
        <transition appear>
          <el-progress :text-inside="true" :stroke-width="35" :percentage="getPercentageValue(a.percentage)"></el-progress>
        </transition>
        <div class="farmer-count farmer-count--percent">{{a.percentage}}</div>
        <div class="farmer-count farmer-count--decimal">
          {{a.count}}
          <svg-icon icon-class="people-dark-green" />
        </div>
      </div>
      <div class="row-info" v-for="(val, key) in a.user_count" :key=key>
        <div class="row-info-text">{{ val.name }}</div>
        <div class="row-info-percentage">{{ val.percentage }}</div>
      </div>
    </el-col>
  </el-row>
</template>
<script>
export default {
  name: 'Articles',
  created() {
    // this.$store.dispatch('topTenArticle', {});
  },
  computed: {
    articles: {
      get: function() {
        return this.$store.state.article.topten;
      }
    },
    total: {
      get: function() {
        var total = 0;
        var topten = this.$store.state.article.topten;
        var i;
        for (i = 0; i < topten.length; i++) {
          total = total + topten[i].count
        }
        return total;
      }
    }
  },
  methods: {
    getPercentageValue: function(percentage) {
      if (typeof percentage === 'undefined') {
        return 0.0;
      }
      return parseFloat(percentage.split(" ")[0]);
    }
  }
};
</script>
<style rel="stylesheet/scss" lang="scss" >
@import '@/styles/variables.scss';
@import '@/styles/mixin.scss';
.icon-green {
  width: 48px;
  height: 48px;
  border-radius: 6px;
  background-color: #76be40;
  display: flex;
  justify-content: center;
  align-items: center;

  .svg-icon {
    width: 30px;
    height: 30px;
  }
}

.farmer-count {
  display: inline-block;
  color: $ritx-dark-green;
  font-weight: 700;
  margin-top: 10px;
  &--decimal {
    float: right;
  }
}

.row-info {
  background-color: #d2d9cd8c;
  padding: 7px 20px;
  opacity: 0.6;
}

.row-mid {
  background-color: #d2e0c65c;
}

.row-info-percentage {
  color: #086939;
  font-size: 12px;
  font-weight: bold;
  display: inline-block;
  width: 25%;
  text-align: right;
}
.row-info-text {
  color: #373737;
  font-size: 12px;
  display: inline-block;
  width: 70%;
}
.mid {
  display: flex;
  align-items: center;
}
.progress {
  margin: 10px 0 16px 0;
}
.col-5 {
  width: 20%;
  border-right: 1px solid $ritx-light-grey-3;
  margin-bottom: 20px;
  height: 225px;
}
.row {
  margin: 0 -16px;
}
.pad, .progress-padd, .card-panel-text-black {
  padding: 0 20px;
}

.padd-icon-left {
  padding-left: 40px!important;
}
.padd-icon-right {
  padding-right: 40px!important;
}
</style>
